(function() {
    var $fsx = global.$fsx = {}
    if ($fsx.r) {
        return;
    };
    $fsx.f = {}
    // cached modules
    $fsx.m = {};
    $fsx.r = function(id) {
        var cached = $fsx.m[id];
        // resolve if in cache
        if (cached) {
            return cached.m.exports;
        }
        var file = $fsx.f[id];
        if (!file)
            return;
        cached = $fsx.m[id] = {};
        cached.exports = {};
        cached.m = { exports: cached.exports };
        file(cached.m, cached.exports);
        return cached.m.exports;
    };
})();
// react-select-item/index.js
$fsx.f[0] = function(module,exports){
Object.defineProperty(exports, '__esModule', { value: true });
var Label_1 = $fsx.r(1);
exports.Label = Label_1.Label;
var Option_1 = $fsx.r(2);
exports.Option = Option_1.Option;
var Select_1 = $fsx.r(3);
exports.Select = Select_1.Select;
}
// react-select-item/components/Label.jsx
$fsx.f[1] = function(module,exports){
Object.defineProperty(exports, '__esModule', { value: true });
var tslib_1 = $fsx.r(6);
var classNames = require('classnames/bind');
var React = require('react');
var Label = function (_super) {
    tslib_1.__extends(Label, _super);
    function Label() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Label.prototype.render = function () {
        return React.createElement('div', tslib_1.__assign({}, this.getLabelProps()), this.renderLabel());
    };
    Label.prototype.getLabelProps = function () {
        var _a = this.props, getLabelProps = _a.getLabelProps, selectedOptions = _a.selectedOptions;
        var className = classNames({ 'react-select-item-label': true });
        var inputProps = getLabelProps(selectedOptions);
        var labelProps = tslib_1.__assign({}, inputProps, {
            className: classNames([
                className,
                inputProps.className
            ])
        });
        return labelProps;
    };
    Label.prototype.renderLabel = function () {
        var _a = this.props, selectedOptions = _a.selectedOptions, placeholder = _a.placeholder, getLabelElementProps = _a.getLabelElementProps;
        if (!selectedOptions.length) {
            return placeholder;
        }
        return selectedOptions.map(function (option, index) {
            var concatSymbol = index === selectedOptions.length - 1 ? '' : ', ';
            return React.createElement('span', tslib_1.__assign({ key: index }, getLabelElementProps(option)), option.name + concatSymbol);
        });
    };
    Label.defaultProps = {
        getLabelElementProps: function () {
            return {};
        },
        getLabelProps: function () {
            return {};
        }
    };
    return Label;
}(React.Component);
exports.Label = Label;
}
// react-select-item/components/Option.jsx
$fsx.f[2] = function(module,exports){
Object.defineProperty(exports, '__esModule', { value: true });
var tslib_1 = $fsx.r(6);
var classNames = require('classnames/bind');
var React = require('react');
var Option = function (_super) {
    tslib_1.__extends(Option, _super);
    function Option(props) {
        var _this = _super.call(this, props) || this;
        _this.onClick = function () {
            var _a = _this.props.option, value = _a.value, disabled = _a.disabled;
            var onClick = _this.props.onClick;
            if (disabled) {
                return null;
            }
            return onClick(value);
        };
        return _this;
    }
    Option.prototype.render = function () {
        var name = this.props.option.name;
        return React.createElement('div', tslib_1.__assign({}, this.getOptionProps()), name);
    };
    Option.prototype.getOptionProps = function () {
        var _a = this.props, getOptionProps = _a.getOptionProps, selected = _a.selected;
        var _b = this.props.option, value = _b.value, disabled = _b.disabled;
        var inputProps = getOptionProps(value);
        var className = classNames({
            'react-select-item-option': true,
            'react-select-item-option-disabled': disabled,
            'react-select-item-option-selected': selected
        });
        var optionProps = tslib_1.__assign({}, inputProps, {
            className: classNames([
                className,
                inputProps.className
            ]),
            onClick: this.onClick,
            tabIndex: -1
        });
        return optionProps;
    };
    Option.defaultProps = {
        getOptionProps: function () {
            return {};
        }
    };
    return Option;
}(React.Component);
exports.Option = Option;
}
// react-select-item/components/Select.jsx
$fsx.f[3] = function(module,exports){
Object.defineProperty(exports, '__esModule', { value: true });
var tslib_1 = $fsx.r(6);
var classNames = require('classnames/bind');
var React = require('react');
var Label_1 = $fsx.r(1);
var Option_1 = $fsx.r(2);
$fsx.r(4);
var Select = function (_super) {
    tslib_1.__extends(Select, _super);
    function Select(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            open: false,
            search: false,
            searchText: '',
            value: []
        };
        _this.listenerActive = false;
        _this.handleButtonClick = function (e) {
            if (!e || !e.target.classList.contains('react-select-item-clear')) {
                if (_this.props.search) {
                    _this.setState({ search: true });
                    _this.toggleOpenListState(true);
                } else {
                    _this.toggleOpenListState(!_this.state.open);
                }
            }
        };
        _this.handleChange = function (value) {
            var getOptionId = _this.props.getOptionId;
            var resultValues = _this.props.multiple ? _this.state.value.slice() : [];
            var targetValueIndex = resultValues.findIndex(function (optionValue) {
                return getOptionId(value) === getOptionId(optionValue);
            });
            if (targetValueIndex !== -1) {
                resultValues.splice(targetValueIndex, 1);
            } else {
                resultValues.push(value);
            }
            _this.setState({
                value: resultValues,
                search: false
            });
            if (_this.props.closeOnChange) {
                _this.toggleOpenListState(false);
            }
            setTimeout(function () {
                return _this.props.onChange(resultValues);
            }, 0);
        };
        _this.handleClear = function () {
            _this.setState({ value: [] });
            setTimeout(function () {
                return _this.props.onChange([]);
            }, 0);
        };
        _this.handleClickOutside = function (event) {
            var _a = _this, menuRef = _a.menuRef, buttonRef = _a.buttonRef;
            if (!menuRef || !buttonRef || buttonRef.contains(event.target) || menuRef.contains(event.target)) {
                return false;
            }
            _this.setState({ search: false });
            _this.toggleOpenListState(false);
        };
        _this.toggleOpenListState = function (forceValue) {
            if (forceValue === void 0) {
                forceValue = _this.state.open;
            }
            if (forceValue) {
                if (!_this.listenerActive) {
                    document.addEventListener('mousedown', _this.handleClickOutside);
                    _this.listenerActive = true;
                }
                _this.setState({ searchText: '' });
            }
            _this.setState({ open: forceValue }, function () {
                if (!_this.state.open) {
                    document.removeEventListener('mousedown', _this.handleClickOutside);
                    _this.listenerActive = false;
                }
            });
        };
        _this.renderOption = function (option, i) {
            var _a = _this.props, getOptionProps = _a.getOptionProps, OptionComponent = _a.OptionComponent;
            var optionProps = {
                getOptionProps: getOptionProps,
                onClick: _this.handleChange,
                option: option,
                selected: _this.isSelected(option.value)
            };
            return React.createElement(OptionComponent, tslib_1.__assign({ key: i }, optionProps));
        };
        _this.state.value = props.value;
        _this.state.open = props.open;
        return _this;
    }
    Select.prototype.componentDidUpdate = function () {
        if (this.buttonRef && this.buttonRef.classList.contains('react-select-item-search')) {
            this.buttonRef.focus();
        }
    };
    Select.prototype.componentWillReceiveProps = function (nextProps) {
        this.setState({
            open: nextProps.open || this.state.open,
            search: false,
            searchText: nextProps.searchText || this.state.searchText,
            value: nextProps.value
        });
    };
    Select.prototype.renderNoSearchResults = function () {
        var searchEmptyPlaceholder = this.props.searchEmptyPlaceholder;
        return React.createElement('div', { className: 'select-item-no-results' }, searchEmptyPlaceholder);
    };
    Select.prototype.render = function () {
        var className = classNames([
            'react-select-item-container',
            this.props.className,
            { 'react-select-item-empty': !this.hasValue() }
        ]);
        return React.createElement('div', { className: className }, this.state.search ? this.renderSearchInput() : this.renderButton(), this.renderOptionMenu());
    };
    Select.prototype.isSelected = function (value) {
        var getOptionId = this.props.getOptionId;
        return this.state.value.findIndex(function (currentValue) {
            return getOptionId(currentValue) === getOptionId(value);
        }) !== -1;
    };
    Select.prototype.renderButton = function () {
        var _this = this;
        var buttonProps = {
            'aria-hidden': true,
            'className': 'react-select-item',
            'onClick': this.handleButtonClick,
            'ref': function (ref) {
                return _this.buttonRef = ref;
            },
            'tabIndex': '0'
        };
        var _a = this.props, LabelComponent = _a.LabelComponent, options = _a.options, getLabelProps = _a.getLabelProps, placeholder = _a.placeholder, getLabelElementProps = _a.getLabelElementProps;
        var labelProps = {
            getLabelElementProps: getLabelElementProps,
            getLabelProps: getLabelProps,
            placeholder: placeholder,
            selectedOptions: options.filter(function (option) {
                return _this.isSelected(option.value);
            })
        };
        return React.createElement('div', tslib_1.__assign({}, buttonProps), this.state.search ? this.renderSearchInput() : React.createElement(LabelComponent, tslib_1.__assign({}, labelProps)), this.renderClearButton());
    };
    Select.prototype.renderSearchInput = function () {
        var _this = this;
        var inputProps = {
            'aria-hidden': true,
            'className': 'react-select-item-search',
            'onChange': function (e) {
                _this.setState({ searchText: e.currentTarget.value });
            },
            'placeholder': this.props.searchPlaceholder,
            'ref': function (ref) {
                return _this.buttonRef = ref;
            },
            'tabIndex': '0',
            'type': 'text',
            'value': this.state.searchText
        };
        return React.createElement('div', null, React.createElement('input', tslib_1.__assign({}, inputProps)));
    };
    Select.prototype.renderOptionMenu = function () {
        var _this = this;
        var _a = this.props, search = _a.search, onSearch = _a.onSearch;
        var className = classNames([
            'react-select-item-options',
            { 'react-select-item-hidden': !this.state.open }
        ]);
        var selectOptions = this.props.options.map(function (option) {
            return tslib_1.__assign({}, option);
        });
        if (search && this.state.searchText.length > 0) {
            selectOptions = selectOptions.filter(function (option) {
                return onSearch(_this.state.searchText, option);
            });
            var _b = this.props, highlightTextGetter = _b.highlightTextGetter, highlightTextSetter = _b.highlightTextSetter;
            selectOptions = this.highlightSearchText(selectOptions, highlightTextGetter, highlightTextSetter);
        }
        var divProps = {
            'aria-hidden': true,
            'className': className,
            'ref': function (ref) {
                return _this.menuRef = ref;
            },
            'tabIndex': 0
        };
        return React.createElement('div', tslib_1.__assign({}, divProps), selectOptions.length > 0 ? selectOptions.map(this.renderOption) : this.renderNoSearchResults());
    };
    Select.prototype.renderClearButton = function () {
        if (this.hasValue()) {
            var brnProps = {
                className: 'react-select-item-clear',
                onClick: this.handleClear
            };
            return React.createElement('button', tslib_1.__assign({}, brnProps));
        }
    };
    Select.prototype.hasValue = function () {
        return this.state.value.length > 0;
    };
    Select.prototype.highlightSearchText = function (selectOptions, textGetter, textSetter) {
        var _this = this;
        var highlight = function (value, key) {
            return React.createElement('span', {
                key: key,
                className: 'highlighter'
            }, value);
        };
        return selectOptions.map(function (item) {
            var reg = new RegExp(_this.state.searchText, 'gi');
            var matcher = textGetter(item).match(reg);
            if (matcher && matcher[0]) {
                var split_1 = textGetter(item).split(matcher[0]);
                var resultArray = split_1.reduce(function (result, submatch, currentIndex) {
                    if (submatch === '' && split_1[currentIndex - 1] !== submatch && currentIndex !== split_1.length - 1) {
                        result.push(highlight(matcher[0], currentIndex));
                    } else {
                        result.push(submatch);
                        if (currentIndex !== split_1.length - 1) {
                            result.push(highlight(matcher[0], currentIndex));
                        }
                    }
                    return result;
                }, []);
                item.name = textSetter(item, _this.state.searchText, resultArray);
            }
            return item;
        });
    };
    Select.defaultProps = {
        LabelComponent: Label_1.Label,
        OptionComponent: Option_1.Option,
        getOptionId: function (value) {
            if (typeof value === 'object' && typeof value.id !== 'undefined') {
                return value.id;
            }
            return value;
        },
        highlightTextGetter: function (item) {
            return item.name;
        },
        highlightTextSetter: function (item, searchText, result) {
            return React.createElement('span', null, result.map(function (value) {
                return value;
            }));
        },
        multiple: false,
        onChange: function () {
            return null;
        },
        onSearch: function (phrase, option) {
            return option.name.indexOf(phrase) !== -1;
        },
        placeholder: 'Select items',
        search: false,
        searchEmptyPlaceholder: 'No items found',
        searchPlaceholder: 'Search...'
    };
    return Select;
}(React.Component);
exports.Select = Select;
}
// react-select-item/components/styles.scss
$fsx.f[4] = function(){
$fsx.r(5);
}
// react-select-item/styles.css
$fsx.f[5] = function(){
$fsx.r(7)('styles.css');
}
// tslib/tslib.js
$fsx.f[6] = function(module,exports){
var __extends;
var __assign;
var __rest;
var __decorate;
var __param;
var __metadata;
var __awaiter;
var __generator;
var __exportStar;
var __values;
var __read;
var __spread;
var __await;
var __asyncGenerator;
var __asyncDelegator;
var __asyncValues;
(function (factory) {
    var root = 'object' === 'object' ? global : typeof self === 'object' ? self : typeof this === 'object' ? this : {};
    if ('undefined' === 'function' && define.amd) {
        define('tslib', ['exports'], function (exports) {
            factory(createExporter(root, createExporter(exports)));
        });
    } else if ('object' === 'object' && typeof module.exports === 'object') {
        factory(createExporter(root, createExporter(module.exports)));
    } else {
        factory(createExporter(root));
    }
    function createExporter(exports, previous) {
        return function (id, v) {
            return exports[id] = previous ? previous(id, v) : v;
        };
    }
}(function (exporter) {
    var extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function (d, b) {
        d.__proto__ = b;
    } || function (d, b) {
        for (var p in b)
            if (b.hasOwnProperty(p))
                d[p] = b[p];
    };
    __extends = function (d, b) {
        extendStatics(d, b);
        function __() {
            this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
    __assign = Object.assign || function (t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s)
                if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
        }
        return t;
    };
    __rest = function (s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === 'function')
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++)
                if (e.indexOf(p[i]) < 0)
                    t[p[i]] = s[p[i]];
        return t;
    };
    __decorate = function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === 'object' && typeof Reflect.decorate === 'function')
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    __param = function (paramIndex, decorator) {
        return function (target, key) {
            decorator(target, key, paramIndex);
        };
    };
    __metadata = function (metadataKey, metadataValue) {
        if (typeof Reflect === 'object' && typeof Reflect.metadata === 'function')
            return Reflect.metadata(metadataKey, metadataValue);
    };
    __awaiter = function (thisArg, _arguments, P, generator) {
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) {
                try {
                    step(generator.next(value));
                } catch (e) {
                    reject(e);
                }
            }
            function rejected(value) {
                try {
                    step(generator['throw'](value));
                } catch (e) {
                    reject(e);
                }
            }
            function step(result) {
                result.done ? resolve(result.value) : new P(function (resolve) {
                    resolve(result.value);
                }).then(fulfilled, rejected);
            }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    __generator = function (thisArg, body) {
        var _ = {
                label: 0,
                sent: function () {
                    if (t[0] & 1)
                        throw t[1];
                    return t[1];
                },
                trys: [],
                ops: []
            }, f, y, t, g;
        return g = {
            next: verb(0),
            'throw': verb(1),
            'return': verb(2)
        }, typeof Symbol === 'function' && (g[Symbol.iterator] = function () {
            return this;
        }), g;
        function verb(n) {
            return function (v) {
                return step([
                    n,
                    v
                ]);
            };
        }
        function step(op) {
            if (f)
                throw new TypeError('Generator is already executing.');
            while (_)
                try {
                    if (f = 1, y && (t = y[op[0] & 2 ? 'return' : op[0] ? 'throw' : 'next']) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [
                            0,
                            t.value
                        ];
                    switch (op[0]) {
                    case 0:
                    case 1:
                        t = op;
                        break;
                    case 4:
                        _.label++;
                        return {
                            value: op[1],
                            done: false
                        };
                    case 5:
                        _.label++;
                        y = op[1];
                        op = [0];
                        continue;
                    case 7:
                        op = _.ops.pop();
                        _.trys.pop();
                        continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                            _ = 0;
                            continue;
                        }
                        if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                            _.label = op[1];
                            break;
                        }
                        if (op[0] === 6 && _.label < t[1]) {
                            _.label = t[1];
                            t = op;
                            break;
                        }
                        if (t && _.label < t[2]) {
                            _.label = t[2];
                            _.ops.push(op);
                            break;
                        }
                        if (t[2])
                            _.ops.pop();
                        _.trys.pop();
                        continue;
                    }
                    op = body.call(thisArg, _);
                } catch (e) {
                    op = [
                        6,
                        e
                    ];
                    y = 0;
                } finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return {
                value: op[0] ? op[1] : void 0,
                done: true
            };
        }
    };
    __exportStar = function (m, exports) {
        for (var p in m)
            if (!exports.hasOwnProperty(p))
                exports[p] = m[p];
    };
    __values = function (o) {
        var m = typeof Symbol === 'function' && o[Symbol.iterator], i = 0;
        if (m)
            return m.call(o);
        return {
            next: function () {
                if (o && i >= o.length)
                    o = void 0;
                return {
                    value: o && o[i++],
                    done: !o
                };
            }
        };
    };
    __read = function (o, n) {
        var m = typeof Symbol === 'function' && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        } catch (error) {
            e = { error: error };
        } finally {
            try {
                if (r && !r.done && (m = i['return']))
                    m.call(i);
            } finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    };
    __spread = function () {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    };
    __await = function (v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    };
    __asyncGenerator = function (thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError('Symbol.asyncIterator is not defined.');
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb('next'), verb('throw'), verb('return'), i[Symbol.asyncIterator] = function () {
            return this;
        }, i;
        function verb(n) {
            if (g[n])
                i[n] = function (v) {
                    return new Promise(function (a, b) {
                        q.push([
                            n,
                            v,
                            a,
                            b
                        ]) > 1 || resume(n, v);
                    });
                };
        }
        function resume(n, v) {
            try {
                step(g[n](v));
            } catch (e) {
                settle(q[0][3], e);
            }
        }
        function step(r) {
            r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r);
        }
        function fulfill(value) {
            resume('next', value);
        }
        function reject(value) {
            resume('throw', value);
        }
        function settle(f, v) {
            if (f(v), q.shift(), q.length)
                resume(q[0][0], q[0][1]);
        }
    };
    __asyncDelegator = function (o) {
        var i, p;
        return i = {}, verb('next'), verb('throw', function (e) {
            throw e;
        }), verb('return'), i[Symbol.iterator] = function () {
            return this;
        }, i;
        function verb(n, f) {
            if (o[n])
                i[n] = function (v) {
                    return (p = !p) ? {
                        value: __await(o[n](v)),
                        done: n === 'return'
                    } : f ? f(v) : v;
                };
        }
    };
    __asyncValues = function (o) {
        if (!Symbol.asyncIterator)
            throw new TypeError('Symbol.asyncIterator is not defined.');
        var m = o[Symbol.asyncIterator];
        return m ? m.call(o) : typeof __values === 'function' ? __values(o) : o[Symbol.iterator]();
    };
    exporter('__extends', __extends);
    exporter('__assign', __assign);
    exporter('__rest', __rest);
    exporter('__decorate', __decorate);
    exporter('__param', __param);
    exporter('__metadata', __metadata);
    exporter('__awaiter', __awaiter);
    exporter('__generator', __generator);
    exporter('__exportStar', __exportStar);
    exporter('__values', __values);
    exporter('__read', __read);
    exporter('__spread', __spread);
    exporter('__await', __await);
    exporter('__asyncGenerator', __asyncGenerator);
    exporter('__asyncDelegator', __asyncDelegator);
    exporter('__asyncValues', __asyncValues);
}));
}
// fuse-box-css/index.js
$fsx.f[7] = function(module,exports){
var __filename = "index.js";
var runningInBrowser = false || 'npm' === 'electron';
var cssHandler = function (__filename, contents) {
    if (runningInBrowser) {
        var styleId = __filename.replace(/[\.\/]+/g, '-');
        if (styleId.charAt(0) === '-')
            styleId = styleId.substring(1);
        var exists = document.getElementById(styleId);
        if (!exists) {
            var s = document.createElement(contents ? 'style' : 'link');
            s.id = styleId;
            s.type = 'text/css';
            if (contents) {
                s.innerHTML = contents;
            } else {
                s.rel = 'stylesheet';
                s.href = __filename;
            }
            document.getElementsByTagName('head')[0].appendChild(s);
        } else {
            if (contents) {
                exists.innerHTML = contents;
            }
        }
    }
};
if (typeof FuseBox !== 'undefined' && runningInBrowser) {
    FuseBox.on('async', function (name) {
        if (/\.css$/.test(name)) {
            cssHandler(name);
            return false;
        }
    });
}
module.exports = cssHandler;
}
module.exports = $fsx.r(0)